%define		apxs		%{_sbindir}/apxs
Summary:	mod_dnssd - Apache HTTPD module which adds Zeroconf support via DNS-SD using Avahi
Summary(pl.UTF-8):	mod_dnssd - moduł Apache HTTPD oddający obsługę Zeroconfa poprzez DNS-SD przy użyciu Avahi
Name:		apache-mod_dnssd
Version:	0.6
Release:	3
License:	Apache v2.0
Group:		Networking/Daemons/HTTP
Source0:	http://0pointer.de/lennart/projects/mod_dnssd/mod_dnssd-%{version}.tar.gz
# Source0-md5:	bed3d95a98168bf0515922d1c05020c5
Source1:	mod_dnssd.conf
Patch0:		apache-2.4.patch
URL:		http://0pointer.de/lennart/projects/mod_dnssd/
BuildRequires:	%{apxs}
BuildRequires:	apache-devel >= 2.2
BuildRequires:	apr-devel >= 1
BuildRequires:	avahi-devel >= 0.6
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.268
Requires:	apache(modules-api) = %apache_modules_api
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pkglibdir	%(%{apxs} -q LIBEXECDIR 2>/dev/null)
%define		_sysconfdir	%(%{apxs} -q SYSCONFDIR 2>/dev/null)/conf.d

%description
mod_dnssd is an Apache HTTPD module which adds Zeroconf support via
DNS-SD using Avahi.

%description -l pl.UTF-8
mod_dnssd to moduł serwera Apache HTTPD dodający obsługę Zeroconfa
poprzez DNS-SD przy użyciu Avahi.

%prep
%setup -q -n mod_dnssd-%{version}
%patch0 -p1

%build
%configure \
	APXS="%{apxs}"

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pkglibdir},%{_sysconfdir}}
install -p src/.libs/mod_dnssd.so $RPM_BUILD_ROOT%{_pkglibdir}
cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/90_mod_dnssd.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service -q httpd restart

%postun
if [ "$1" = "0" ]; then
	%service -q httpd restart
fi

%files
%defattr(644,root,root,755)
%doc README
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/*_mod_dnssd.conf
%attr(755,root,root) %{_pkglibdir}/mod_dnssd.so
%changelog
* Sat May 07 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/apache-mod_dnssd.git;a=log;h=master

* Sat May 07 2016 Jan Rękorajski <baggins@pld-linux.org> b75cd06
- fix apache 2.4 interoparability
- rel 3

* Sat May 02 2015 Elan Ruusamäe <glen@delfi.ee> 2597b93
- add ifdef for module directives

* Sat May 02 2015 Elan Ruusamäe <glen@delfi.ee> 9c2296c
- move config to file in git

* Sat May 02 2015 Elan Ruusamäe <glen@delfi.ee> 2476862
- does not work under apache 2.4

* Sat May 02 2015 Jan Rękorajski <baggins@pld-linux.org> a7076e3
- x32 rebuild
- release 2 (by relup.sh)

* Mon Jan 06 2014 Jakub Bogusz <qboosh@pld-linux.org> c6e4700
- try another way of passing APXS; --with-apxs accepts dir, not program path

* Sun Jan 05 2014 Jakub Bogusz <qboosh@pld-linux.org> b1de573
- new

